Aktualizacje - KQS.update_4.3 a KQS.update_4.3_php5.4

Wszystko na temat instalacji oprogramowania KQS.store oraz aktualizacji skryptu do najnowszej wersji. Dowiesz się także co nowego pojawiło się w sklepie KQS oraz znajdziesz pełną listę zmian które weszły w nowej wersji.

Re: Aktualizacje - KQS.update_4.3 a KQS.update_4.3_php5.4

przez diversio » 2016 wrz 15, Cz 09:24

sucro napisał(a):A paczka KQS.update_4.3.zip to pod jakie php jest ? Bo już zgłupiałem


Teraz już wiesz skąd moje wątpliwości ;-)
Avatar użytkownika
 
Autor tematu
Posty: 126
Dołączył(a): 2008 kwi 25, Pt 11:33
Lokalizacja: Wola Młocka, Mazowsze
Podziękował : 12 razy
Otrzymał podziękowań: 3 razy

Re: Aktualizacje - KQS.update_4.3 a KQS.update_4.3_php5.4

przez sucro » 2016 wrz 15, Cz 09:30

areczek napisał(a):A update_4.3.zip jest dla wszystkiego poniżej 5.4


Ale to niemożliwe, bo jak wspomniałem wcześniej, w az - ustawiony php na 5.4, a wgrywany update_4.3.zip

Więc w hekko czy home - może tak być bo tam ustawione php 5.3 a wgrywany jest update_4.3.zip ( wiec poniżej php 5.4 )
Avatar użytkownika
Admin Witryny
 
Posty: 203
Dołączył(a): 2008 kwi 08, Wt 13:44
Lokalizacja: MEGAMO
Podziękował : 12 razy
Otrzymał podziękowań: 17 razy

Re: Aktualizacje - KQS.update_4.3 a KQS.update_4.3_php5.4

przez diversio » 2016 wrz 15, Cz 09:31

areczek napisał(a):Z tego co pamiętam to gdy pojawił się na serwerach PHP 5.4 to w aktualizacji KQS.store pojawiła się oddzielna paczka dla tego PHPa i uważam, że producent softu od tamtej pory nie zmienił po prostu tekstu na prawidłowy tzn zamiast dla PHP 5.4 powinno być 'od wersji PHP 5.4' bo logicznym się wydaje to, że skoro jest wersja która wykorzystuje nowe możliwości PHP 5.4 (których nie ma we wcześniejszych) to powinna być instalowana na 5.5 i 5.6
A update_4.3.zip jest dla wszystkiego poniżej 5.4


Albo i nie.
Równie dobrze można wysnuć wniosek, że

Sklep wymaga minimum 5.4.17
Paczki _php54 są specjalnie przeznaczone dla PHP 5.4
Paczki bez _php54 sa najnowsze i przeznaczone dla PHP >5.4.xx

Sklepy działają na PHP <5.4 bo ... ? Czy powodują błędy? Czy ktoś już to sprawdzał po włączeniu raportowania błędów?
Avatar użytkownika
 
Autor tematu
Posty: 126
Dołączył(a): 2008 kwi 25, Pt 11:33
Lokalizacja: Wola Młocka, Mazowsze
Podziękował : 12 razy
Otrzymał podziękowań: 3 razy

Re: Aktualizacje - KQS.update_4.3 a KQS.update_4.3_php5.4

przez sucro » 2016 wrz 15, Cz 09:34

Problem z raportowaniem błędów to nie problem - bo z tego co pamiętam to jest opcja w php do zaznaczenia by nie wyświetlało błędów na stronie.

Chyba czas na przeprowadzenie testów pod 3 wersjami php ( 5.3 / 5.4 / 5.5 ) i różnymi paczkami update - w wolnej chwili to sprawdzę. A jak chcesz pomóc to zapraszam na PW i wtedy zrobimy testy
Avatar użytkownika
Admin Witryny
 
Posty: 203
Dołączył(a): 2008 kwi 08, Wt 13:44
Lokalizacja: MEGAMO
Podziękował : 12 razy
Otrzymał podziękowań: 17 razy

Re: Aktualizacje - KQS.update_4.3 a KQS.update_4.3_php5.4

przez areczek » 2016 wrz 15, Cz 09:38

~~diversio no nie do końca dla najnowszej, bo jeśli miałbym na serwerze phpa 5.2 a ty php 5.6 to czy powinniśmy aktualizować tą samą paczką ? według mnie nie bo ty będziesz miał nowe funkcje w phpie (dostępne od wersji 5.4) a ja ich nie będę miał i może mi wywalić błędy lub ostrzeżenia.
Avatar użytkownika
 
Posty: 329
Dołączył(a): 2009 lip 07, Wt 18:33
Lokalizacja: Lubelskie
Podziękował : 0 razy
Otrzymał podziękowań: 10 razy

Re: Aktualizacje - KQS.update_4.3 a KQS.update_4.3_php5.4

przez diversio » 2016 wrz 15, Cz 09:41

Nawet nie myślałem, że się ten wątek tak rozgrzeje ;-)
Sprawa wydawała mi się prosta, dla upewnienia pytanie, jedna, dwie odpowiedzi i sprawa jasna.
A okazało się, że nikt z nas tak na 100% nie wie i każdy ma inne doświadczenia. ;-)

Ale z drugiej strony to dobrze. Znowu czegoś się dowiemy.
Siadam do serwera, włączam raportowanie i patrzę co się dzieje na obu wersjach
Avatar użytkownika
 
Autor tematu
Posty: 126
Dołączył(a): 2008 kwi 25, Pt 11:33
Lokalizacja: Wola Młocka, Mazowsze
Podziękował : 12 razy
Otrzymał podziękowań: 3 razy

Re: Aktualizacje - KQS.update_4.3 a KQS.update_4.3_php5.4

przez diversio » 2016 wrz 15, Cz 09:43

areczek napisał(a):~~diversio no nie do końca dla najnowszej, bo jeśli miałbym na serwerze phpa 5.2 a ty php 5.6 to czy powinniśmy aktualizować tą samą paczką ? według mnie nie bo ty będziesz miał nowe funkcje w phpie (dostępne od wersji 5.4) a ja ich nie będę miał i może mi wywalić błędy lub ostrzeżenia.


Tylko dywaguję, bo każdy z wysnutych dotychczas wniosków może się okazać prawdziwy. I chciałbym wiedzieć - który
Avatar użytkownika
 
Autor tematu
Posty: 126
Dołączył(a): 2008 kwi 25, Pt 11:33
Lokalizacja: Wola Młocka, Mazowsze
Podziękował : 12 razy
Otrzymał podziękowań: 3 razy

Re: Aktualizacje - KQS.update_4.3 a KQS.update_4.3_php5.4

przez diversio » 2016 wrz 17, So 15:36

Doszliście już do jakichś wniosków?

Bo ja szczerze powiedziawszy pewności nadal nie mam

Przykłady:
1.
Sklep w home.pl, katalog pracuje na PHP 5.3.29, aktualizacje wykonywane plikami z KQS.update_4.x, obecnie wersja 4.2.
Zmieniałem PHP z 5.3 kolejno na 5.2, 5.4, 5.5, 5.6, włączone raportowanie błędów - nie działo się nic
2.
Sklep w home.pl, katalog pracuje na PHP 5.6.12, instalacja wykonana plikami z KQS.store_4.1_php54, aktualizacje wykonane plikami z KQS.update_4.x_php54, obecna wersja 4.3
Zmieniałem PHP z 5.6 kolejno na 5.5, 5.4, 5.3, przy wersji 5.3 biała strona z komunikatem "Fatal error:
The file /index.php was encoded with the PHP 5.4 ionCube Encoder and requires PHP 5.4 to be installed. in Unknown on line 0"
I to by było na tyle
Avatar użytkownika
 
Autor tematu
Posty: 126
Dołączył(a): 2008 kwi 25, Pt 11:33
Lokalizacja: Wola Młocka, Mazowsze
Podziękował : 12 razy
Otrzymał podziękowań: 3 razy

Re: Aktualizacje - KQS.update_4.3 a KQS.update_4.3_php5.4

przez areczek » 2016 wrz 17, So 16:21

The file /index.php was encoded with the PHP 5.4 ionCube Encoder and requires PHP 5.4 to be installed

Powyższa linijka jest odpowiedzią ... 5.4 wymagane jest prze ionCube'a
Avatar użytkownika
 
Posty: 329
Dołączył(a): 2009 lip 07, Wt 18:33
Lokalizacja: Lubelskie
Podziękował : 0 razy
Otrzymał podziękowań: 10 razy

Poprzednia stronaNastępna strona

Użytkownicy przeglądający ten dział: Brak zidentyfikowanych użytkowników i 2 gości
cron